<< arma_rnd | FOSSEE_Signal_Processing_Toolbox | aryule >>

FOSSEE_Signal_Processing_Toolbox >> FOSSEE_Signal_Processing_Toolbox > armcov

# armcov

Autoregressive all-pole model parameters — modified covariance method.

### Syntax

    a = armcov(x, p)
    [a, e] = armcov(x, p)

### Parameters

x:

  Input signal.

p:

  Order of the autoregressive model.

a:

  Output of an AR system driven by white noise.

e:

  Variance estimate of the white noise input to the AR model.

### Description

This function uses the modified covariance method to fit a pth-order autoregressive (AR) model to the input signal `x`.

### Examples

    A = [1 -2.7607 3.8106 -2.6535 0.9238]
    y = filter(1, A, 0.2 * rand(1024, 1, "normal"))
    arcoeffs = armcov(y, 4)

Report an issue
<< arma_rnd | FOSSEE_Signal_Processing_Toolbox | aryule >>